Skip to main content
PUT
/
v1
/
businesses
/
{businessId}
/
departments
/
{departmentId}
Update Department
curl --request PUT \
  --url https://api.cadanapay.com/v1/businesses/{businessId}/departments/{departmentId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Legal"
}
'
import requests

url = "https://api.cadanapay.com/v1/businesses/{businessId}/departments/{departmentId}"

payload = { "name": "Legal" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Legal'})
};

fetch('https://api.cadanapay.com/v1/businesses/{businessId}/departments/{departmentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "code": "invalid_request_body",
  "message": "The request body provided is not valid",
  "params": {
    "field": "Value is invalid."
  }
}
{
"code": "internal_error",
"message": "An unexpected error occurred. Please try again later."
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-MultiTenantKey
string

Required when using a Platform API token. The tenant key identifying which business to operate on.

Path Parameters

businessId
string
required

The unique identifier for the business

departmentId
string
required

The unique identifier for the department

Body

application/json
name
string
Example:

"Legal"

Response

Successful operation